Send an email from the account
curl --request POST \
--url https://api.quiva.ai/accounts/send-commercial-email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "<string>",
"subject": "<string>",
"html": "<string>",
"text": "<string>",
"from_address": "<string>",
"reply_to": "<string>",
"template_key": "<string>",
"data": {},
"contact_folder": "<string>",
"task_id": "<string>",
"class": "<string>",
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"idempotency_key": "<string>",
"ref": {},
"attachments": [
{}
],
"attachment_refs": [
{}
]
}
'import requests
url = "https://api.quiva.ai/accounts/send-commercial-email"
payload = {
"to": "<string>",
"subject": "<string>",
"html": "<string>",
"text": "<string>",
"from_address": "<string>",
"reply_to": "<string>",
"template_key": "<string>",
"data": {},
"contact_folder": "<string>",
"task_id": "<string>",
"class": "<string>",
"cc": ["<string>"],
"bcc": ["<string>"],
"idempotency_key": "<string>",
"ref": {},
"attachments": [{}],
"attachment_refs": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to: '<string>',
subject: '<string>',
html: '<string>',
text: '<string>',
from_address: '<string>',
reply_to: '<string>',
template_key: '<string>',
data: {},
contact_folder: '<string>',
task_id: '<string>',
class: '<string>',
cc: ['<string>'],
bcc: ['<string>'],
idempotency_key: '<string>',
ref: {},
attachments: [{}],
attachment_refs: [{}]
})
};
fetch('https://api.quiva.ai/accounts/send-commercial-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/accounts/send-commercial-email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'to' => '<string>',
'subject' => '<string>',
'html' => '<string>',
'text' => '<string>',
'from_address' => '<string>',
'reply_to' => '<string>',
'template_key' => '<string>',
'data' => [
],
'contact_folder' => '<string>',
'task_id' => '<string>',
'class' => '<string>',
'cc' => [
'<string>'
],
'bcc' => [
'<string>'
],
'idempotency_key' => '<string>',
'ref' => [
],
'attachments' => [
[
]
],
'attachment_refs' => [
[
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/accounts/send-commercial-email"
payload := strings.NewReader("{\n \"to\": \"<string>\",\n \"subject\": \"<string>\",\n \"html\": \"<string>\",\n \"text\": \"<string>\",\n \"from_address\": \"<string>\",\n \"reply_to\": \"<string>\",\n \"template_key\": \"<string>\",\n \"data\": {},\n \"contact_folder\": \"<string>\",\n \"task_id\": \"<string>\",\n \"class\": \"<string>\",\n \"cc\": [\n \"<string>\"\n ],\n \"bcc\": [\n \"<string>\"\n ],\n \"idempotency_key\": \"<string>\",\n \"ref\": {},\n \"attachments\": [\n {}\n ],\n \"attachment_refs\": [\n {}\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/accounts/send-commercial-email")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"to\": \"<string>\",\n \"subject\": \"<string>\",\n \"html\": \"<string>\",\n \"text\": \"<string>\",\n \"from_address\": \"<string>\",\n \"reply_to\": \"<string>\",\n \"template_key\": \"<string>\",\n \"data\": {},\n \"contact_folder\": \"<string>\",\n \"task_id\": \"<string>\",\n \"class\": \"<string>\",\n \"cc\": [\n \"<string>\"\n ],\n \"bcc\": [\n \"<string>\"\n ],\n \"idempotency_key\": \"<string>\",\n \"ref\": {},\n \"attachments\": [\n {}\n ],\n \"attachment_refs\": [\n {}\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/accounts/send-commercial-email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"to\": \"<string>\",\n \"subject\": \"<string>\",\n \"html\": \"<string>\",\n \"text\": \"<string>\",\n \"from_address\": \"<string>\",\n \"reply_to\": \"<string>\",\n \"template_key\": \"<string>\",\n \"data\": {},\n \"contact_folder\": \"<string>\",\n \"task_id\": \"<string>\",\n \"class\": \"<string>\",\n \"cc\": [\n \"<string>\"\n ],\n \"bcc\": [\n \"<string>\"\n ],\n \"idempotency_key\": \"<string>\",\n \"ref\": {},\n \"attachments\": [\n {}\n ],\n \"attachment_refs\": [\n {}\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"queued": true
}
}{
"error": "<string>"
}{
"error": "<string>"
}Email Sending
Send an email from the account
The sanctioned send for account email. Stamps scope and class so suppression and consent apply. queued means accepted by the outbox, not delivered. Give either template_key with data, or subject with html/text, never both.
POST
/
accounts
/
send-commercial-email
Send an email from the account
curl --request POST \
--url https://api.quiva.ai/accounts/send-commercial-email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "<string>",
"subject": "<string>",
"html": "<string>",
"text": "<string>",
"from_address": "<string>",
"reply_to": "<string>",
"template_key": "<string>",
"data": {},
"contact_folder": "<string>",
"task_id": "<string>",
"class": "<string>",
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"idempotency_key": "<string>",
"ref": {},
"attachments": [
{}
],
"attachment_refs": [
{}
]
}
'import requests
url = "https://api.quiva.ai/accounts/send-commercial-email"
payload = {
"to": "<string>",
"subject": "<string>",
"html": "<string>",
"text": "<string>",
"from_address": "<string>",
"reply_to": "<string>",
"template_key": "<string>",
"data": {},
"contact_folder": "<string>",
"task_id": "<string>",
"class": "<string>",
"cc": ["<string>"],
"bcc": ["<string>"],
"idempotency_key": "<string>",
"ref": {},
"attachments": [{}],
"attachment_refs": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to: '<string>',
subject: '<string>',
html: '<string>',
text: '<string>',
from_address: '<string>',
reply_to: '<string>',
template_key: '<string>',
data: {},
contact_folder: '<string>',
task_id: '<string>',
class: '<string>',
cc: ['<string>'],
bcc: ['<string>'],
idempotency_key: '<string>',
ref: {},
attachments: [{}],
attachment_refs: [{}]
})
};
fetch('https://api.quiva.ai/accounts/send-commercial-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/accounts/send-commercial-email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'to' => '<string>',
'subject' => '<string>',
'html' => '<string>',
'text' => '<string>',
'from_address' => '<string>',
'reply_to' => '<string>',
'template_key' => '<string>',
'data' => [
],
'contact_folder' => '<string>',
'task_id' => '<string>',
'class' => '<string>',
'cc' => [
'<string>'
],
'bcc' => [
'<string>'
],
'idempotency_key' => '<string>',
'ref' => [
],
'attachments' => [
[
]
],
'attachment_refs' => [
[
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/accounts/send-commercial-email"
payload := strings.NewReader("{\n \"to\": \"<string>\",\n \"subject\": \"<string>\",\n \"html\": \"<string>\",\n \"text\": \"<string>\",\n \"from_address\": \"<string>\",\n \"reply_to\": \"<string>\",\n \"template_key\": \"<string>\",\n \"data\": {},\n \"contact_folder\": \"<string>\",\n \"task_id\": \"<string>\",\n \"class\": \"<string>\",\n \"cc\": [\n \"<string>\"\n ],\n \"bcc\": [\n \"<string>\"\n ],\n \"idempotency_key\": \"<string>\",\n \"ref\": {},\n \"attachments\": [\n {}\n ],\n \"attachment_refs\": [\n {}\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/accounts/send-commercial-email")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"to\": \"<string>\",\n \"subject\": \"<string>\",\n \"html\": \"<string>\",\n \"text\": \"<string>\",\n \"from_address\": \"<string>\",\n \"reply_to\": \"<string>\",\n \"template_key\": \"<string>\",\n \"data\": {},\n \"contact_folder\": \"<string>\",\n \"task_id\": \"<string>\",\n \"class\": \"<string>\",\n \"cc\": [\n \"<string>\"\n ],\n \"bcc\": [\n \"<string>\"\n ],\n \"idempotency_key\": \"<string>\",\n \"ref\": {},\n \"attachments\": [\n {}\n ],\n \"attachment_refs\": [\n {}\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/accounts/send-commercial-email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"to\": \"<string>\",\n \"subject\": \"<string>\",\n \"html\": \"<string>\",\n \"text\": \"<string>\",\n \"from_address\": \"<string>\",\n \"reply_to\": \"<string>\",\n \"template_key\": \"<string>\",\n \"data\": {},\n \"contact_folder\": \"<string>\",\n \"task_id\": \"<string>\",\n \"class\": \"<string>\",\n \"cc\": [\n \"<string>\"\n ],\n \"bcc\": [\n \"<string>\"\n ],\n \"idempotency_key\": \"<string>\",\n \"ref\": {},\n \"attachments\": [\n {}\n ],\n \"attachment_refs\": [\n {}\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"queued": true
}
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Body
application/json
Text body